%global modulename socks

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-socks
Version:        2.2.2
Release:        1%{?dist}
Summary:        Fully featured SOCKS proxy client supporting SOCKSv4, SOCKSv4a, and SOCKSv5. Includes Bind and Associate functionality.

License:        MIT
URL:            https://github.com/JoshGlazebrook/socks/
Source0:        https://registry.npmjs.org/socks/-/socks-2.2.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(ip) >= 1.1.5 with npmlib(ip) < 2.0.0))
BuildRequires:  ((npmlib(smart-buffer) >= 4.0.1 with npmlib(smart-buffer) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Fully featured SOCKS proxy client supporting SOCKSv4, SOCKSv4a, and SOCKSv5. Includes Bind and Associate functionality.

%package 2.2.2
Summary:        Fully featured SOCKS proxy client supporting SOCKSv4, SOCKSv4a, and SOCKSv5. Includes Bind and Associate functionality.


%description 2.2.2
Fully featured SOCKS proxy client supporting SOCKSv4, SOCKSv4a, and SOCKSv5. Includes Bind and Associate functionality.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .prettierrc.yaml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr build %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr typings %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr yarn-error.log %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr yarn.lock %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%doc docs
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.2.2
%doc README.md
%doc docs
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.2.2-1
- Package automatically generated by npm2srpm
